summaryrefslogtreecommitdiff
path: root/test/librechroot-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/librechroot-test.sh')
-rw-r--r--test/librechroot-test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/librechroot-test.sh b/test/librechroot-test.sh
index 42d4803..edf7a4f 100644
--- a/test/librechroot-test.sh
+++ b/test/librechroot-test.sh
@@ -145,3 +145,16 @@ it_deletes_subvolumes_recursively() {
testsudo librechroot -l "$roundup_test_name" delete
not test -e "$chrootdir/default/$roundup_test_name"
}
+
+it_cleans_up_TMPDIR() {
+ require network sudo || return 0
+
+ local dir="$tmpdir/tmp"
+ mkdir -- "$dir"
+
+ libremessages msg 'Creating a chroot, may take a few minutes' &>/dev/tty
+ TMPDIR=$dir testsudo librechroot -l "$roundup_test_name" -A x86_64 make
+
+ # Make sure $dir is now empty
+ rmdir -- "$dir"
+}